Page MenuHomePhabricator

bisect: refactor to work on a list of revspecs
ClosedPublic

Authored by SimonSapin on Nov 23 2020, 12:17 PM.

Details

Summary

This will allow adding a --rev flag that can be passed more than once.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Nov 23 2020, 12:17 PM
Alphare accepted this revision.Nov 24 2020, 6:03 AM
mharbison72 added inline comments.
mercurial/commands.py
1085

Should this raise above when the lookup is first done, before it potentially saves state in if good or bad or skip around line 1053?

marmoute added inline comments.
mercurial/commands.py
1085

This raise is here to match the revsingle behavior. So we did not raise anything earlier before and I don't think we need to raise it sooner now (or at lieast not in that topic).

pulkit added a subscriber: pulkit.Nov 29 2020, 2:23 PM
pulkit added inline comments.
mercurial/commands.py
1085

I agree with both @mharbison72 and @marmoute here. @SimonSapin since you are here editing this code, can you make sure we do this check sooner and send a followup if possible?

pulkit accepted this revision.Nov 29 2020, 2:23 PM
This revision is now accepted and ready to land.Nov 29 2020, 2:23 PM
This revision was automatically updated to reflect the committed changes.